package thyyxxk.webserver.entity.executeItem;

import lombok.Data;
import lombok.EqualsAndHashCode;
import thyyxxk.webserver.entity.datamodify.YzActOrder;

import java.util.List;

/**
 * @Description:
 * @Author:lihong
 * @Date: 2023/11/6
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class YzChangeParam extends BasePage{
    private String wardCode;
    private String supplyCode;
    private String startDate;
    private String endDate;
    //频率 包括 = <>
    private String frequCode;
    //类型 1 口服 2. 输液
    private String typeClass;
    //打印标识 0 全部 1 未打印 2 已打印
    private String printFlag;
    private String startBedNo;
    private String endBedNo;
    //0 全部 1长期 2 长期口服 3 长期输液 4 长期非口服 5.临时 6.临时口服 7临时输液 8.治疗项目
    private String changeClass;
    //0 未签名  1已签名
    private String signFlag;
    private List<YzChangeData> list;
    private List<YzActOrder> yzActOrders;



   public enum ChangeClassEnum{
        All("0","全部"),
        CQ("1","长期"),
        CQ_KF("2","长期口服"),
        CQ_SY("3","长期输液"),
        CQ_FKF("4","长期非口服"),
        LS("5","临时"),
        LS_KF("6","临时口服"),
        LS_SY("7","临时输液"),
        ZL_XM("8","治疗项目")
        ;
        private String code;
        private String name;

        ChangeClassEnum(String code, String name) {
            this.code = code;
            this.name = name;
        }

        public String getCode() {
            return code;
        }

        public String getName() {
            return name;
        }
    }

}
